Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

Functions | Variables
mailtofriend.php File Reference

Go to the source code of this file.

## Functions
| sendmail ( $article_id, $CategoryID, $tpl, $sendmail_tpl, $real_name, $to_name, $from_name, $text=false, $Sender=false)
| errorMsg ( $article_id, $CategoryID, $tpl, $real_name, $send_to, $from, $textarea, $error)
| getArticle ( $ArticleID)
| printForm ( $ArticleID, $CategoryID, $tpl, $real_name="", $send_to="", $from="", $textarea="")

## Variables
| $ini =& eZINI::instance( 'site.ini' )
| $Language = $ini->variable( "eZArticleMain", "Language" )
| $Sender = $ini->variable( "ezArticleMain", "MailToFriendSender" )
| $CategoryID = $url_array[5]
if(!strstr( $HTTP_REFERER, $ini->variable("eZArticleMain", "FromURL"))) if(($CategoryID !=0)) | $sectionObject =& eZSection::globalSectionObject( $GlobalSectionID )
| $tpl
| $sendmail_tpl
if(isset( $Submit)||isset( $RealName)||isset( $SendTo)||isset( $From)) | else

## Function Documentation

## ◆ errorMsg()

errorMsg | ( |  | $article_id,
|  |  | $CategoryID,
|  |  | $tpl,
|  |  | $real_name,
|  |  | $send_to,
|  |  | $from,
|  |  | $textarea,
|  |  | $error
| ) |  |

Print an error msg if wrong input from the form.

Definition at line 226 of file mailtofriend.php.

References $CategoryID, $error, $tpl, and printForm().

## ◆ getArticle()

getArticle | ( |  | $ArticleID | ) |

Return an article with the given number.

Definition at line 249 of file mailtofriend.php.

References $article, $ArticleID, exit, and eZHTTPTool\header().

Referenced by printForm(), and sendmail().

## ◆ printForm()

printForm | ( |  | $ArticleID,
|  |  | $CategoryID,
|  |  | $tpl,
|  |  | $real_name = `""`,
|  |  | $send_to = `""`,
|  |  | $from = `""`,
|  |  | $textarea = `""`
| ) |  |

print the first page.

Definition at line 265 of file mailtofriend.php.

References $article, $ArticleID, $CategoryID, $name, $renderer, $tpl, and getArticle().

Referenced by errorMsg().

## ◆ sendmail()

sendmail | ( |  | $article_id,
|  |  | $CategoryID,
|  |  | $tpl,
|  |  | $sendmail_tpl,
|  |  | $real_name,
|  |  | $to_name,
|  |  | $from_name,
|  |  | $text = `false`,
|  |  | $Sender = `false`
| ) |  |

build up the mail to send.

Definition at line 148 of file mailtofriend.php.

References $article, $CategoryID, $ini, $mail, $name, $renderer, $Sender, $sendmail_tpl, $tpl, and getArticle().

## Variable Documentation

## ◆ $CategoryID

$CategoryID = $url_array[5]

Definition at line 41 of file mailtofriend.php.

Referenced by errorMsg(), printForm(), and sendmail().

## ◆ $ini

$ini =& eZINI::instance( 'site.ini' )

Definition at line 34 of file mailtofriend.php.

Referenced by sendmail().

## ◆ $Language

$Language = $ini->variable( "eZArticleMain", "Language" )

Definition at line 35 of file mailtofriend.php.

## ◆ $sectionObject

if (!strstr($HTTP_REFERER, $ini->variable("eZArticleMain", "FromURL"))) if (( $CategoryID !=0)) $sectionObject =& eZSection::globalSectionObject( $GlobalSectionID )

Definition at line 55 of file mailtofriend.php.

## ◆ $Sender

$Sender = $ini->variable( "ezArticleMain", "MailToFriendSender" )

Definition at line 36 of file mailtofriend.php.

Referenced by sendmail().

## ◆ $sendmail_tpl

$sendmail_tpl

Initial value:
= new eZTemplate( "kernel/ezarticle/user/" . $ini->variable( "eZArticleMain", "TemplateDir" ),
"kernel/ezarticle/user/" . "intl", $Language, "sendmailtofriend.php" )
eZTemplate
Definition: eztemplate.php:107
$Language
$Language
Definition: mailtofriend.php:35
$ini
$ini
Definition: mailtofriend.php:34

Definition at line 83 of file mailtofriend.php.

Referenced by sendmail().

## ◆ $tpl

$tpl

Initial value:
= new eZTemplate( "kernel/ezarticle/user/" . $ini->variable( "eZArticleMain", "TemplateDir" ),
"kernel/ezarticle/user/" . "intl", $Language, "mailtofriend.php" )

Definition at line 58 of file mailtofriend.php.

Referenced by errorMsg(), eZDisplayDebug(), printForm(), ezpbKernelAdmin\redirect(), ezpbKernelWeb\redirect(), ezpKernelWeb\redirect(), ezpContentXHTMLRenderer\render(), ezpKernelWeb\run(), and sendmail().

## ◆ else

if (isset($Submit)||isset($RealName)||isset($SendTo)||isset($From)) else

Initial value:
{
printForm( $ArticleID, $CategoryID, $tpl )
$ArticleID
$ArticleID
Definition: export.php:48
$tpl
$tpl
Definition: mailtofriend.php:58
$CategoryID
$CategoryID
Definition: mailtofriend.php:41
printForm
printForm( $ArticleID, $CategoryID, $tpl, $real_name="", $send_to="", $from="", $textarea="")
Definition: mailtofriend.php:265

Definition at line 140 of file mailtofriend.php.

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.